package com.ruoyi.common.core.domain.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 用户注册对象
 *
 * @author ruoyi
 */

@Data
public class BarUserRegisterVO
{

//    @NotBlank(message = "昵称不能为空")
//    @JsonProperty("nick_name")
//    private String nickName;

//    @NotBlank(message = "酒吧logo不能为空")
//    @JsonProperty("bar_logo")
//    private String barLogo;

    @NotBlank(message = "手机号码不能为空")
    @JsonProperty("bar_contact_phone")
    private String barContactPhone;

    @NotBlank(message = "酒吧名称不能为空")
    @JsonProperty("bar_name")
    private String barName;

    @NotBlank(message = "省份")
    @JsonProperty("province")
    private String province;

    @NotBlank(message = "城市")
    @JsonProperty("city")
    private String city;

    @NotBlank(message = "区域")
    @JsonProperty("district")
    private String district;

    @NotBlank(message = "酒吧地址不能为空")
    @JsonProperty("address")
    private String address;

    @NotBlank(message = "营业执照不能为空")
    @JsonProperty("business_license")
    private String businessLicense;

    //门头照
    @NotBlank(message = "门头照不能为空")
    @JsonProperty("storefront_photo")
    private String storefrontPhoto;

    //职务
//    private String position;

    @NotBlank(message = "openId不能为空")
    @JsonProperty("openId")
    private String openId;

    @NotNull(message = "纬度不能为空")
    private Double latitude;

    @NotNull(message = "经度不能为空")
    private Double longitude;

    @NotBlank(message = "授权状态不能为空")
    @JsonProperty("auth_state")
    private String authState;
}
