package com.ruoyi.common.core.domain.model;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
public class FavoriteBreweryVO {

    @NotNull(message = "品牌方id不能为空")
    private Long breweryId;

    @NotNull(message = "状态不能为空")
    @Min(value=1, message="状态只能为1或2")
    @Max(value=2, message="状态只能为1或2")
    private Integer status;
}
