package com.ruoyi.common.core.domain.model;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class QrCodeConsumeVO {

    @NotBlank(message = "code不能为空")
    private String code;

    private Long activityId;

    private Long platformActivityId;

    @NotNull(message = "纬度不能为空")
    private Double latitude;  // 纬度

    @NotNull(message = "经度不能为空")
    private Double longitude;  // 经度
}
