package com.ruoyi.bar.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 获得参与批次信息对象 wy_activity_join_batch
 * 
 * @author ruoyi
 * @date 2025-02-15
 */
@Data
public class WyActivityJoinBatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次id */
    private Long batchId;

    /** 活动id */
    @Excel(name = "活动id")
    private Long activityId;

    private Long breweryId;

    /** 活动发布方 0平台 1品牌方 */
    @Excel(name = "活动发布方 0平台 1品牌方")
    private Integer activitySupplier;

    /** 参与方id */
    @Excel(name = "参与方id")
    private Long barId;

    /** 参加状态 1已参加 2已达标*/
    @Excel(name = "参加状态")
    private Integer joinStatus;

    private String barName;

    private String barCity;

    private String barNumber;

    private String activityName;

    private Integer activityType;

    private Integer activityStatus;

    private String breweryName;

    private String platformActivityName;

    private Integer platformActivityType;

    private Integer platformActivityStatus;
    //开始时间
    private Date StartDate;
    //截至时间
    private Date EndDate;
    //参与数量
    private Integer joinNum;
    //剩余数量
    private Integer remainNum;


}
