package com.ruoyi.bar.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒吧啤酒币变动记录对象 wy_bar_icon_log
 * 
 * @author ruoyi
 * @date 2025-02-10
 */
@Data
public class WyBarIconLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id，0代表平台 */
    @Excel(name = "品牌方id，0代表平台")
    private Long breweryId;

    /** 酒吧id */
    private Long barId;

    /** 变动记录，正数代表增加，复数代表减少 */
    @Excel(name = "变动记录，正数代表增加，复数代表减少")
    private Long amount;

    /** 变动后啤酒币数量 */
    @Excel(name = "变动后啤酒币数量")
    private Long balance;

    /** 获得原因 */
    private Integer obtainType;

    /** 啤酒id */
    private Long beerId;

    /** 核销二维码id */
    private Long codeId;
}
