package com.ruoyi.brewery.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒评回复对象 wy_beer_review_reply
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBeerReviewReply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 啤酒id */
    @Excel(name = "啤酒id")
    private Long beerId;

    /** 评论id */
    @Excel(name = "评论id")
    private Long reviewId;

    /** 顶级回复id */
    @Excel(name = "顶级回复id")
    private Long replyId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 回复内容 */
    private String replayContent;
}
