package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台活动奖励对象 wy_platform_activity_reward
 * 
 * @author kxl
 * @date 2025-02-09
 */
@Data
public class WyPlatformActivityReward extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 平台活动id */
    @Excel(name = "平台活动id")
    private Long activityId;

    /** 奖励的门店id */
    @Excel(name = "奖励的门店id")
    private Long barId;

    /** 领奖状态 */
    @Excel(name = "领奖状态")
    private Integer rewardStatus;

    private Long joinBatchId;

    /** 领奖时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "领奖时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date claimTime;


}
