package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒单套打模板对象 wy_platform_bill_template
 * 
 * @author ruoyi
 * @date 2025-02-15
 */
@Data
public class WyPlatformBillTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板id */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String templateName;

    /** 排序 */
    @Excel(name = "排序")
    private Long showOrder;

    /** 模板类型 1图片 2pdf */
    @Excel(name = "模板类型 1图片 2pdf")
    private Long templateType;

    /** 专属门店id 0表示公共 */
    @Excel(name = "专属门店id 0表示公共")
    private Long barId;

    /** 导出次数 */
    @Excel(name = "导出次数")
    private Long totalExportCount;
    /** 30天内导出次数 */
    private Long recentExportCount;

    /** 宽度 mm */
    @Excel(name = "宽度 mm")
    private Long pageWidth;

    /** 高度 mm */
    @Excel(name = "高度 mm")
    private Long pageHeight;

    /** 元素 */
    @Excel(name = "元素")
    private String elements;

}
