package com.ruoyi.bar.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class BarAddressVO {
    private Long id;

    @Excel(name = "所在省")
    private String province;

    /** 所在城市 */
    @Excel(name = "所在城市")
    private String city;

    /** 所在区 */
    @Excel(name = "所在区")
    private String district;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    @NotNull(message = "纬度不能为空")
    private Double latitude;  // 纬度

    @NotNull(message = "经度不能为空")
    private Double longitude;  // 经度


}
