package com.ruoyi.bar.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class BarVO {

    @Excel(name = "酒吧名称")
    private String barName;

    /** 酒吧编号 */
    @Excel(name = "酒吧编号")
    private String barNumber;

    /** 酒吧logo */
    @Excel(name = "酒吧logo")
    private String barLogo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String barContactPhone;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicense;

    @Excel(name = "门头照片")
    private String storefrontPhoto;

    @Excel(name = "申请人昵称")
    private String nickName;

    //职务
    private String position;

    private String approvalReason;
}
