package com.ruoyi.bar.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class RedeemOrderVO {

    /** 商品id */
    @NotNull(message = "商品id不能为空")
    private Long goodsId;

    private Integer goodsNum;

    /** 收货地址 */
    private String address;

    /** 联系人 */
    private String contactPerson;

    /** 联系电话 */
    private String contactPhone;

}
