package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Set;

/**
 * 品牌方用户和角色关联对象 wy_bar_user_role
 * 
 * @author ruoyi
 * @date 2025-01-04
 */
@Data
public class WyBarUserRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 角色ID */
    private Long roleId;

    private Set<String> permissions;

    /** 角色状态（0正常 1停用） */
    @Excel(name = "角色状态", readConverterExp = "0=正常,1=停用")
    private String status;
    /** 角色权限 */
    @Excel(name = "角色权限")
    private String roleKey;

}
