package com.ruoyi.common.core.domain.model;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Data
public class BeerReviewReplyVO {

    /** 评论id */
    @NotNull(message = "评论id不能为空")
    private Long reviewId;

    /** 上级回复id */
    private Long replyId;

    /** 回复内容 */
    @NotNull(message = "回复内容不能为空")
    @Size(min = 1, max = 500, message = "回复内容长度不能超过500个字符")
    private String replayContent;
}
