package com.ruoyi.common.core.domain.model;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
public class WyBeerIconVO {
    @NotNull(message = "酒款Id不能为空")
    private Long beerId;

    @NotNull(message = "啤酒币数量不能为空")
    @Min(value = 1, message = "啤酒币数量不能小于1")
    @Max(value = 9999, message = "啤酒币数量不能大于9999")
    private Long icons;
}
