package com.ruoyi.bar.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒吧啤酒币余额对象 wy_bar_icon
 * 
 * @author kxl
 * @date 2025-02-10
 */
@Data
public class WyBarIcon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 品牌方id，0代表平台 */
    @Excel(name = "品牌方id，0代表平台")
    private Long breweryId;

    /** 酒吧id */
    private Long barId;

    // 剩余数量
    private Long balance;

    private String brandName;

    private String barCode;

    private String barCity;

    private String barName;

    private String brandLogo;

    private Integer goodsNum;
    // 已用数量
    private Integer usedNum;

    // 已兑换订单数量
    private Integer exchangedOrderNum;
}
